/*
 * linux/arch/mips/vr41xx/nec_mobilegear2_r300.c
 *
 * Platform support for NEC MobileGear2 R300
 *
 * Copyright (C) 2000 SATO Kazumi
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 */
#include <asm/io.h>
#include <asm/vr41xx.h>

extern int gpiolcd_backlight(int);
extern int get_gpiolcd_backlight(int);
extern int gpiolcd_contrast(int);
extern int get_gpiolcd_contrast(int);
extern int gpiolcd_lcdpower(int);
extern void gpiolcd_setup(void);

int display_backlight(int n)
{
	return gpiolcd_backlight(n);
}

int display_get_backlight(int n)
{
	return get_gpiolcd_backlight(n);
}

int display_contrast(int n)
{
	return gpiolcd_contrast(n);
}

int display_power(int n)
{
	return gpiolcd_lcdpower(n);
}

int display_get_contrast(int n)
{
	return get_gpiolcd_contrast(n);
}

void platdep_setup(void)
{
	gpiolcd_setup();
}
