

#ifndef _LINUX_VRC4173_H
#define _LINUX_VRC4173_H

static int vrc4173_open(pci_socket_t *socket)
{
    struct pci_dev *dev = socket->dev;
    void vrc4173_enable_pcmcia_irq(struct pci_dev *dev);

    vrc4173_enable_pcmcia_irq(dev);
    return 0;
}

static int vrc4173_init(pci_socket_t *socket)
{
    yenta_init(socket);
    return 0;
}

static struct pci_socket_ops vrc4173_ops = {
    vrc4173_open,
    yenta_close,
    vrc4173_init,
    yenta_suspend,
    yenta_get_status,
    yenta_get_socket,
    yenta_set_socket,
    yenta_get_io_map,
    yenta_set_io_map,
    yenta_get_mem_map,
    yenta_set_mem_map,
    yenta_proc_setup
};

#endif /* _LINUX_VRC4173_H */
